# OpenLayers.Format.WFS

Read/Write WFS.

#### Inherits from

- OpenLayers.Format.GML

Summary

OpenLayers.Format.WFS | Read/Write WFS.
Properties |
wfsns |
Constructor |
OpenLayers.Format.WFS | Create a WFS-T formatter.
Functions |
destroy | Remove ciruclar ref to layer

### Properties

### wfsns

### Constructor

### OpenLayers.Format.WFS

Create a WFS-T formatter. This requires a layer: that layer should have two properties: geometry_column and typename. The parser for this format is subclassed entirely from GML: There is a writer only, which uses most of the code from the GML layer, and wraps it in transactional elements.

#### Parameters

options | {Object}
layer | {OpenLayers.Layer}

### Functions

### destroy

> destroy: function()

Remove ciruclar ref to layer

> destroy: function()

Remove ciruclar ref to layer
Read/Wite GML.
Close